# $Revision: 1.8 $, $Date: 2010/11/13 00:19:49 $
%define		module		Louie
Summary:	Signal dispatching mechanism
Summary(pl.UTF-8):	Mechanizm rozprowadzania sygnałów
Name:		python-%{module}
Version:	1.1
Release:	5
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/L/Louie/%{module}-%{version}.tar.gz
# Source0-md5:	46a61f7a88c624433c96f28ae30aa1a4
URL:		http://pylouie.org/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel
BuildRequires:	python-setuptools >= 0.6-0.c1
BuildRequires:	rpm-pythonprov
Requires:	python-nose >= 0.8.3
%pyrequires_eq	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Louie provides Python programmers with a straightforward way to
dispatch signals between objects in a wide variety of contexts. It is
based on PyDispatcher, which in turn was based on a highly-rated
recipe in the Python Cookbook.

%description -l pl.UTF-8
Louie udostępnia programistom Pythona bezpośredni sposób
rozprowadzania sygnałów między obiektami w szerokim zakresie
kontekstów. Jest oparty na module PyDispatcher, który z kolei jest
oparty na przepisie z dokumentu "Python Cookbook".

%prep
%setup -qn %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean
rm -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/louie/test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/louie
%{py_sitescriptdir}/louie/*.py[co]
%{py_sitescriptdir}/Louie-%{version}-py*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Louie.spec,v $
Revision 1.8  2010/11/13 00:19:49  pawelz
- release 5

Revision 1.7  2010/07/08 08:20:41  arekm
- release 4

Revision 1.6  2009/11/26 21:51:17  sparky
- BR: python-devel

Revision 1.5  2008/10/03 17:53:13  arekm
- release 3

Revision 1.4  2008/07/07 19:47:12  dzeus
- rel. 2

Revision 1.3  2008/05/03 18:47:44  patrys
- R: python-nose
- rel 1

Revision 1.2  2007/08/26 11:03:13  qboosh
- pl

Revision 1.1  2007/08/16 17:32:31  aflinta
- PLD initial release
